/*
 * nrp_tests.h
 *
 * Created: 10-Jun-15 5:47:02 PM
 *  Author: Erlend
 */ 


#ifndef NRP_TESTS_H_
#define NRP_TESTS_H_


/**
 * The function starts the "test liten task"
 *
 * @param *listen_port:		The port the task will listen to
 *
 * @return void
 */
void test_setup_of_port_listener(portCHAR * listen_port);

/**
 * The function used for most tests of NRP. Its behavior is altered according
 * to the test which is performed
 * It is called from the command line interface
 *
 * @param *ptr:				test dependent parameter
 * @return void
 */
void test_general(void *ptr);

/**
 * The function sends a single NRP message reliably to a receiving node
 * It is called from the command line interface
 *
 * @param *str:		should be in the form <message>@<address>:<port>	
 * @return void
 */
void test_send_nrp_message(portCHAR * str);

/**
 * The function compares the content of two arrays. It is used to verify
 * that payload received in the listener task is not corrupted
 *
 * @param *recv_payload:	
 * @return void
 */
Bool compare_payload(const uint8_t *recv_payload, const uint8_t *expected_payload);

#endif /* NRP_TESTS_H_ */